dmxdummy.h File Reference

Go to the source code of this file.

## Functions

void | dmxDummyMouGetInfo (DevicePtr pDev, DMXLocalInitInfoPtr info)
void | dmxDummyKbdGetInfo (DevicePtr pDev, DMXLocalInitInfoPtr info)

## Detailed Description

Interface to dummy input device support.

See also:
  dmxdummy.c

## Function Documentation

void dmxDummyKbdGetInfo | ( | DevicePtr | pDev,
|  | DMXLocalInitInfoPtr | info
| ) |  |

Return information about the dummy keyboard device specified in pDev into the structure pointed to by info. The keyboard is set up to have 1 valid key code that is NoSymbol

References _DMXLocalInitInfo::focusClass, _DMXLocalInitInfo::force, _DMXLocalInitInfo::freemap, _DMXLocalInitInfo::kbdFeedbackClass, _DMXLocalInitInfo::keyboard, _DMXLocalInitInfo::keyClass, and _DMXLocalInitInfo::keySyms.

void dmxDummyMouGetInfo | ( | DevicePtr | pDev,
|  | DMXLocalInitInfoPtr | info
| ) |  |

Return information about the dummy mouse device specified in pDev into the structure pointed to by info. They mouse has 3 buttons and two axes.

References _DMXLocalInitInfo::buttonClass, _DMXLocalInitInfo::map, _DMXLocalInitInfo::maxres, _DMXLocalInitInfo::maxval, _DMXLocalInitInfo::minres, _DMXLocalInitInfo::minval, _DMXLocalInitInfo::numButtons, _DMXLocalInitInfo::numRelAxes, _DMXLocalInitInfo::ptrFeedbackClass, _DMXLocalInitInfo::res, and _DMXLocalInitInfo::valuatorClass.